#!/usr/bin/env bash
#
#  Licensed to the Apache Software Foundation (ASF) under one
#  or more contributor license agreements.  See the NOTICE file
#  distributed with this work for additional information
#  regarding copyright ownership.  The ASF licenses this file
#  to you under the Apache License, Version 2.0 (the
#  "License"); you may not use this file except in compliance
#  with the License.  You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
#  Unless required by applicable law or agreed to in writing, software
#  distributed under the License is distributed on an "AS IS" BASIS,
#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#  See the License for the specific language governing permissions and
#  limitations under the License.
#

# resolve links - $0 may be a softlink
PRG="${0}"

while [ -h "${PRG}" ]; do
  ls=`ls -ld "${PRG}"`
  link=`expr "$ls" : '.*-> \(.*\)$'`
  if expr "$link" : '/.*' > /dev/null; then
    PRG="$link"
  else
    PRG=`dirname "${PRG}"`/"$link"
  fi
done

BASEDIR=`dirname ${PRG}`
BASEDIR=`cd ${BASEDIR};pwd`

function checkExitStatus {
  if [ "$?" != "0" ]; then
    echo "ERROR, Oozie development environment could not be configured"
    exit -1
  fi
}

#
# Find the settings file if provided
#
MVN_SETTINGS_OPTION=
if [ "x$MVNSETTINGS_FILE" != "x" ]; then
  MVN_SETTINGS_OPTION="-s $MVNSETTINGS_FILE"
else
  MVN_SETTINGS_OPTION=" "
fi

cd ${BASEDIR}/doxia/dummy
checkExitStatus

mvn ${MVN_SETTINGS_OPTION} site:site
checkExitStatus

mvn ${MVN_SETTINGS_OPTION} clean
checkExitStatus
cd ${BASEDIR}/doxia
checkExitStatus

mvn ${MVN_SETTINGS_OPTION} install
checkExitStatus

mvn ${MVN_SETTINGS_OPTION} clean
checkExitStatus

echo
echo "Maven documentation generation pluging for Oozie installed successfully"
echo

